# Maybe Arduino

This is the Arduino code for the teensy firmware used in the Maybe Macro Board

## Uploading the firmware using Teensyduino

- Install Teensyduino https://www.pjrc.com/teensy/td_download.html
- Run Arduino .exe
- Open Maybe.ino
- In *Tools* setup the board settings:

    |     |     |
    | --- | --- |
    | Board | [Teensy LC / Teensy 4.0 / Teensy 4.1] |
    | USB Type | Serial + Keyboard + Mouse + Joystick (but only Serial and Keyboard are used for now) |
    | CPU Speed | [Teensy LC] -> 48MHz / [Teensy 4.x] -> 600MHz (max) |
    | Optimize | Smallest Code |
    | Keyboard layout | US English (but any should work) |
    | Port | [your teensy port] |
    
- Press Upload

## License

Do What the Fuck You Want to Public License (WTFPL)
![WTFPL_logo](https://upload.wikimedia.org/wikipedia/commons/thumb/0/05/WTFPL_logo.svg/langfr-150px-WTFPL_logo.svg.png)